/*
 * Copyright (c) 2019.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.utils;

/**
 * <p>
 * 编号生成帮助类
 * 以2+8+6形式生成（2位编号类型前缀+8位年月日+6位自增序列号 ）
 * 2位编号类型前缀定义如下⤵
 * 1x：患者相关编号以 '1' 开头，(病例号:10 )
 * 2x：订单相关编号以 '2' 开头，如订单编号=20
 * 3x: 支付相关编号以 '3' 开头，如系统内部支付订单号=30
 * (未完待续...)
 * </P>
 *
 * @author FanYi
 * @date 2019-01-03
 * @since 1.0
 */
public class CodeGeneratorHelper {

    /**
     * 订单编号
     */
    public static final String ORDER_CODE = "ORDER_CODE";


    /**
     * 生成订单编号
     *
     * @return 订单编号
     */
    public static String getOrderCode() {
        return IDGenerator.gen("20", "yyyyMMdd", 6, ORDER_CODE);
    }

}
