package com.mt.wms.empty.mapper;

import com.mt.wms.empty.vo.EmptyVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * xxmapper类
 *
 * @author jiff
 * @date 2018/11/9
 * @since 1.0
 */
@Repository
public interface EmptyMapper {

    /**
     * 获取xx列表
     *
     * @param id       ID
     * @param category 分类
     * @return xx列表
     */
    List<EmptyVo> listBy(@Param("id") Long id, @Param("category") Integer category);

}
