package com.mt.wms.empty.params;

import com.mt.wms.core.params.BasePageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @author jiff
 * @date 2020/12/22
 * @since 1.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "xx查询参数", description = "用于查询xx信息")
public class EmptyQueryParam extends BasePageParam {

    /**
     * xx名称
     */
    @ApiModelProperty(value = "xx名称", required = false, example = "xx管理")
    private String name;

}
