/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.mapper;

import com.mt.wms.upms.vo.SysRoleVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author jiff
 * @date 2018/11/26
 * @since 1.0
 */
@Repository
public interface RoleMapper {
    /**
     * 获取用户角色列表
     *
     * @param userId 用户ID
     * @return 用户角色列表
     */
    List<SysRoleVo> listByUser(@Param("userId") Long userId);
}
