/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.core.vo;

import com.mt.wms.core.base.BaseVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;


/**
 * 会话令牌对象
 *
 * @author jiff
 * @date 2018/11/7
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Data
@Builder
@ApiModel(value = "会话令牌对象", description = "")
public class TokenVo extends BaseVo {
    @ApiModelProperty(value = "会话令牌", example = "1", notes = "后续接口需要通过http请求头携带该令牌")
    private String token;
}
