package com.mt.wms.empty.service.impl;

import com.mt.wms.core.base.BaseService;
import com.mt.wms.core.params.EnabledParam;
import com.mt.wms.core.params.IdListParam;
import com.mt.wms.core.params.IdParam;
import com.mt.wms.core.vo.IdListVo;
import com.mt.wms.core.vo.IdVo;
import com.mt.wms.core.vo.PageVo;
import com.mt.wms.core.vo.R;
import com.mt.wms.empty.params.EmptyParam;
import com.mt.wms.empty.params.EmptyQueryParam;
import com.mt.wms.empty.service.EmptyService;
import com.mt.wms.empty.vo.EmptyVo;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * xx服务实现类
 *
 * @author jiff
 * @date 2020/12/22
 * @since 1.0
 */
@Service
@Transactional
public class EmptyServiceImpl extends BaseService implements EmptyService {
    /**
     * 获取xx
     *
     * @param idParam 主键参数
     * @return xx
     */
    @Override
    public R<EmptyVo> get(IdParam idParam) {
        return null;
    }

    /**
     * 获取xx列表
     *
     * @param emptyQueryParam xx查询参数
     * @return xx列表
     */
    @Override
    public R<List<EmptyVo>> list(EmptyQueryParam emptyQueryParam) {
        return null;
    }

    /**
     * 获取xx分页列表
     *
     * @param emptyQueryParam xx查询参数
     * @return xx分页列表
     */
    @Override
    public R<PageVo<EmptyVo>> page(EmptyQueryParam emptyQueryParam) {
        return null;
    }

    /**
     * 获取xx树列表
     *
     * @param emptyQueryParam xx查询参数
     * @return xx树列表
     */
    @Override
    public R<List<EmptyVo>> tree(EmptyQueryParam emptyQueryParam) {
        return null;
    }

    /**
     * 新增xx
     *
     * @param emptyParam xx参数
     * @return 主键
     */
    @Override
    public R<IdVo> add(EmptyParam emptyParam) {
        return null;
    }

    /**
     * 更新xx
     *
     * @param emptyParam xx参数
     * @return 主键
     */
    @Override
    public R<IdVo> update(EmptyParam emptyParam) {
        return null;
    }

    /**
     * 启用停用
     *
     * @param enabledParam 启停参数
     * @return 主键
     */
    @Override
    public R<IdVo> enabled(EnabledParam enabledParam) {
        return null;
    }

    /**
     * 删除xx
     *
     * @param idParam 主键参数
     * @return 主键
     */
    @Override
    public R<IdVo> delete(IdParam idParam) {
        return null;
    }

    /**
     * 批量删除xx
     *
     * @param idListParam 主键列表参数
     * @return 主键列表
     */
    @Override
    public R<IdListVo> delete(IdListParam idListParam) {
        return null;
    }
}
