/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.mt.wms.upms.mapper;

import com.mt.wms.core.dto.Permission;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author jiff
 * @date 2018/11/26
 * @since 1.0
 */
@Repository("upmsResourceMapper")
public interface ResourceMapper {
    /**
     * 获取用户权限列表
     *
     * @param userId   用户ID
     * @param category 应用分类
     * @return 权限列表
     */
    List<Permission> listByUser(@Param("userId") Long userId, @Param("category") Integer category);
}
